Bug 1277466 - No tasks shown in task list
No tasks shown in task list
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
urgent Severity urgent
: CR1
: 6.2.0
Assigned To: Neus Miras
Jan Hrcek
: Regression, TestBlocker
: 1278021 (view as bug list)
Depends On:
Blocks: 1275628 1275759 1278072 1278021
  Show dependency treegraph
Reported: 2015-11-03 07:13 EST by Jan Hrcek
Modified: 2015-11-19 01:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Hrcek 2015-11-03 07:13:54 EST
Description of problem:
In eap6_4 distribution of business-central, there are not tasks shown in the task list. No ad-hoc tasks, no tasks from process instances, no matter what user I am / what group I'm member of. All the filter tabs are empty.

There are no exceptions in the server.log

Version-Release number of selected component (if applicable):
BPM Suite 6.2.0 ER5

How reproducible:

Steps to Reproduce:
1. Login to business central, navigate to task list.
2. Create new ad hoc task

Actual results:
No task is displayed

Expected results:
Tasks should be displayed
Comment 1 Jan Hrcek 2015-11-04 03:20:49 EST
Additional info:
- this problem is not specific to EAP - all container distributions are affected
- The Autorefresh configuration button is missing from all perspective supporting autorefresh
Comment 2 Neus Miras 2015-11-06 13:04:36 EST
The generated wars have an issue related with the conditions with the datasest after json generation. It affects to all queries that involves dataset restrictions with strings.( Task list, Jobs). Until this moment I couldn't reproduce it in my local environment with my own generated wars (yes with the downloaded form CI). The point is to know what is different in the build. 
At this moment I have generated a PR to try to change the code where those conditions are marshaled, After the pr will be merged, I will be able to test if the new code fix the issue.
I let you know what I'll find
Comment 3 Jiri Locker 2015-11-10 11:07:20 EST
*** Bug 1278021 has been marked as a duplicate of this bug. ***
Comment 4 Neus Miras 2015-11-11 08:16:47 EST

There were a problem with the dataset condition marshaling that has been solved in 

In master this json code marshaling is included in dashbuilders modules.

The refresh button has been restored too in this commit:
Comment 5 Jan Hrcek 2015-11-19 01:39:38 EST
Tasks are being displayed in task list again. Verified with BPM Suite 6.2.0 CR1

Note You need to log in before you can comment on or make changes to this bug.